Start Stop Managed Instance Schedules - Get
Hiermee haalt u het schema voor starten/stoppen van het beheerde exemplaar op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
managed
|
path | True |
string |
De naam van het beheerde exemplaar. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
start
|
path | True |
Naam van het start-/stopschema van het beheerde exemplaar. |
|
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets the managed instance's Start/Stop schedule.
Voorbeeldaanvraag
Voorbeeldrespons
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Day |
Dag van onderhoud. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Schedule |
Planningsgegevens die beschrijven wanneer de server moet worden gestart of gestopt. |
|
Start |
Het start-/stopschema van het beheerde exemplaar. |
|
Start |
|
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DayOfWeek
Dag van onderhoud.
| Waarde | Description |
|---|---|
| Sunday |
Zondag |
| Monday |
Maandag |
| Tuesday |
Dinsdag |
| Wednesday |
Woensdag |
| Thursday |
Donderdag |
| Friday |
Vrijdag |
| Saturday |
Zaterdag |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ScheduleItem
Planningsgegevens die beschrijven wanneer de server moet worden gestart of gestopt.
| Name | Type | Description |
|---|---|---|
| startDay |
Startdag. |
|
| startTime |
string |
Starttijd. |
| stopDay |
Stop dag. |
|
| stopTime |
string |
Stop de tijd. |
StartStopManagedInstanceSchedule
Het start-/stopschema van het beheerde exemplaar.
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
|
| name |
string |
De naam van de resource |
|
| properties.description |
string |
De beschrijving van de planning. |
|
| properties.nextExecutionTime |
string |
Tijdstempel wanneer de volgende actie wordt uitgevoerd in de bijbehorende tijdzone van het schema. |
|
| properties.nextRunAction |
string |
Volgende actie die moet worden uitgevoerd (starten of stoppen) |
|
| properties.scheduleList |
Schema lijst. |
||
| properties.timeZoneId |
string |
UTC |
De tijdzone van de planning. |
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
||
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
StartStopScheduleName
| Waarde | Description |
|---|---|
| default |
default |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |